AbstractUnfilteredPartitionIterator (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db.partitions

## Class AbstractUnfilteredPartitionIterator

- java.lang.Object
- - org.apache.cassandra.db.partitions.AbstractUnfilteredPartitionIterator

- All Implemented Interfaces:
    java.lang.AutoCloseable, java.util.Iterator<UnfilteredRowIterator>, BasePartitionIterator<UnfilteredRowIterator>, UnfilteredPartitionIterator, CloseableIterator<UnfilteredRowIterator>
  Direct Known Subclasses:
    BigTableScanner.EmptySSTableScanner, Memtable.MemtableUnfilteredPartitionIterator

      public abstract class AbstractUnfilteredPartitionIterator
      extends java.lang.Object
      implements UnfilteredPartitionIterator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractUnfilteredPartitionIterator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.db.partitions.UnfilteredPartitionIterator

      `isForThrift, metadata`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, hasNext, next`

- - ### Constructor Detail

    - #### AbstractUnfilteredPartitionIterator

          public AbstractUnfilteredPartitionIterator()

  - ### Method Detail

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator<UnfilteredRowIterator>`

    - #### close

          public void close()

      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in interface `BasePartitionIterator<UnfilteredRowIterator>`
      Specified by:
        `close` in interface `CloseableIterator<UnfilteredRowIterator>`

Copyright © 2018 The Apache Software Foundation